
QGIS Application - Bug report #8970

Failed import of csv table in DB Manager

2013-10-31 08:18 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17632

Description

A CSV file is loaded with "Add vector", but when loaded in dbman it throws an error:

Impossibile determinare i privilegi di accesso alla tabella

"public"."punti_nogeom" 

Questo è l'errore riportato dal database:

ERROR:  column "" of relation "punti_nogeom" does not exist

SQL: SELECT

has_table_privilege('"public"."punti_nogeom"','DELETE'),has_any_column_privilege('"public"."punti_nogeom"','UPDATE'),has_column_

rivilege('"public"."punti_nogeom"','','UPDATE'),has_table_privilege('"public"."punti_nogeom"','INSERT'),current_schema()

Related issues:

Related to QGIS Application - Bug report # 10566: DB Manager : Impossible to ... Closed 2014-06-12

Associated revisions

Revision 61dc4deb - 2014-06-12 11:36 PM - Jürgen Fischer

db manager: fix import of geometryless files (fixes #8970)

History

#1 - 2014-06-12 02:36 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"61dc4debfefaddc6d7d9d5a962ef8374e1ebf851".
